[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: curl, testing and gcc-3.2 (?) (was Re: Debian curl package depends on gcc-3.2?)

Anthony Towns wrote:
> You'll find it does on arm and probably one or two other architectures,
> but in particular:
>     Package: libcurl2
>     Architecture: arm
>     Version: 7.10.4-1
>     Depends: libc6 (>= 2.3.1-1), libgcc1 (>= 1:3.2.3-0pre6), ...

Sorry for being a pain, but how are these dependencies assigned?

libgcc1 is already in both testing and stable. How is it decided that
libcurl2 requires this specific version? It appears neither the package
maintainer nor the upstream author made this decision (or even knew about it).

Also, the arm build log for arm contains the following line:

checking whether to use libgcc... no


Reply to: